> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get install status counts for softwares

> Return, for each of the given software IDs, how many devices have it installed, in progress, or failed. Use this for an install-health overview across softwares.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json post /software/device-counts
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /software/device-counts:
    post:
      tags:
        - Softwares
      summary: Get install status counts for softwares
      description: >-
        Return, for each of the given software IDs, how many devices have it
        installed, in progress, or failed. Use this for an install-health
        overview across softwares.
      operationId: getSoftwareDeviceCounts
      parameters: []
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSoftwareDeviceCounts_Output'
components:
  schemas:
    GetSoftwareDeviceCounts_Output:
      type: object
      properties:
        counts:
          type: object
          propertyNames:
            description: Software ID
            type: string
          additionalProperties:
            type: object
            properties:
              installed:
                type: integer
                minimum: 0
                maximum: 9007199254740991
              inProgress:
                type: integer
                minimum: 0
                maximum: 9007199254740991
              failed:
                type: integer
                minimum: 0
                maximum: 9007199254740991
            required:
              - installed
              - inProgress
              - failed
            additionalProperties: false
      required:
        - counts
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````